<?php
/**
 * Plugin Name: tigaman webdesign - Custom pagination styling
 * Plugin URI: https://www.tigaman.com
 * Description: Wordpress built-in pagination styling. 
 * Version: 1.0
 * Author: tigaman webdesign
 * Author URI: https://www.tigaman.hu
 */
?>
<?php add_filter( 'plugin_action_links_' . plugin_basename(__FILE__), 'twdcwps_settings_link' );
function twdcwps_settings_link( array $links ) {
    $url = get_admin_url() . "admin.php?page=pagination-styling";
    $settings_link = '<a href="' . $url . '">' . __('Settings', 'akismet') . '</a>';
      $links[] = $settings_link;
    return $links;
  }
?>
<?php add_action( 'admin_enqueue_scripts', 'twdcwps_add_color_picker' );
function twdcwps_add_color_picker( $hook ) {
    if( is_admin() ) { 
        wp_enqueue_style( 'wp-color-picker' ); 
        wp_enqueue_script( 'twdcwps-custom-script-handle', plugins_url( 'js/twdcwps-custom-script.js', __FILE__ ), array( 'wp-color-picker' ), false, true ); 
    }
}
?>
<?php function twdcwps_css_head() {?>
<style type="text/css">
.nav-links {
	width: calc(100% - 30px);
	margin: 10px 0 30px 30px;
	display: block;
	height: 50px;
}
.page-numbers {
	font-size: 15px;
	width: 15px;
	background-color: <?php $pagination_styling_options = get_option( 'pagination_styling_option_name' ); ?><?php if($pagination_styling_options ['background_color_0']){?><?php echo $pagination_styling_options ['background_color_0']; ?><?php }else {?>#666666<?php ;}?>;
	padding: 15px;
	display: inline-flex;
	justify-content: center;
	align-items: center;
	color: <?php $pagination_styling_options = get_option( 'pagination_styling_option_name' ); ?><?php if($pagination_styling_options ['color_1']){?><?php echo $pagination_styling_options ['color_1']; ?><?php }else {?>#ffffff<?php ;}?>;
}
.page-numbers .current {
	background-color: <?php $pagination_styling_options = get_option( 'pagination_styling_option_name' ); ?><?php if($pagination_styling_options ['current_color_2']){?><?php echo $pagination_styling_options ['current_color_2']; ?><?php }else {?>#D77C61<?php ;}?>;
}
.next.page-numbers,.prev.page-numbers {
	border-bottom:1px solid <?php $pagination_styling_options = get_option( 'pagination_styling_option_name' ); ?><?php if($pagination_styling_options ['current_color_2']){?><?php echo $pagination_styling_options ['current_color_2']; ?><?php }else {?>#D77C61<?php ;}?>;

}
a.page-numbers {
	background-color: <?php $pagination_styling_options = get_option( 'pagination_styling_option_name' ); ?><?php if($pagination_styling_options ['current_color_2']){?><?php echo $pagination_styling_options ['current_color_2']; ?><?php }else {?>#D77C61<?php ;}?>;
	text-decoration: none;
	color: <?php $pagination_styling_options = get_option( 'pagination_styling_option_name' ); ?><?php if($pagination_styling_options ['color_1']){?><?php echo $pagination_styling_options ['color_1']; ?><?php }else {?>#ffffff<?php ;}?>;
}
a.page-numbers:hover {

	background-color: <?php $pagination_styling_options = get_option( 'pagination_styling_option_name' ); ?><?php if($pagination_styling_options ['background_color_0']){?><?php echo $pagination_styling_options ['background_color_0']; ?><?php }else {?>#666666<?php ;}?>;
}
</style>
<?php }add_action('wp_head', 'twdcwps_css_head');?>
<?php 
/**
 * Generated by the WordPress Option Page generator
 * at http://jeremyhixon.com/wp-tools/option-page/
 */

class PaginationStyling {
	private $pagination_styling_options;

	public function __construct() {
		add_action( 'admin_menu', array( $this, 'pagination_styling_add_plugin_page' ) );
		add_action( 'admin_init', array( $this, 'pagination_styling_page_init' ) );
	}

	public function pagination_styling_add_plugin_page() {
		add_options_page(
			'Pagination Styling', // page_title
			'Pagination Styling', // menu_title
			'manage_options', // capability
			'pagination-styling', // menu_slug
			array( $this, 'pagination_styling_create_admin_page' ) // function
		);
	}

	public function pagination_styling_create_admin_page() {
		$this->pagination_styling_options = get_option( 'pagination_styling_option_name' ); ?>

		<div class="wrap">
			<h2>Pagination Styling</h2>
			<p>Layout settings</p>
            <h3 align="center">Live Demo</h3>
 <style type="text/css">
.nav-links {
	width: calc(100% - 30px);
	margin: 10px 0 30px 30px;
	display: block;
	height: 50px;
}
.page-numbers {
	font-size: 15px;
	width: 15px;
	background-color: <?php $pagination_styling_options = get_option( 'pagination_styling_option_name' ); ?><?php if($pagination_styling_options ['background_color_0']){?><?php echo $pagination_styling_options ['background_color_0']; ?><?php }else {?>#666666<?php ;}?>;
	padding: 15px;
	display: inline-flex;
	justify-content: center;
	align-items: center;
	color: <?php $pagination_styling_options = get_option( 'pagination_styling_option_name' ); ?><?php if($pagination_styling_options ['color_1']){?><?php echo $pagination_styling_options ['color_1']; ?><?php }else {?>#ffffff<?php ;}?>;
}
.page-numbers .current {
	background-color: <?php $pagination_styling_options = get_option( 'pagination_styling_option_name' ); ?><?php if($pagination_styling_options ['current_color_2']){?><?php echo $pagination_styling_options ['current_color_2']; ?><?php }else {?>#D77C61<?php ;}?>;
}
.next.page-numbers,.prev.page-numbers {
	border-bottom:1px solid <?php $pagination_styling_options = get_option( 'pagination_styling_option_name' ); ?><?php if($pagination_styling_options ['current_color_2']){?><?php echo $pagination_styling_options ['current_color_2']; ?><?php }else {?>#D77C61<?php ;}?>;

}
a.page-numbers {
	background-color: <?php $pagination_styling_options = get_option( 'pagination_styling_option_name' ); ?><?php if($pagination_styling_options ['current_color_2']){?><?php echo $pagination_styling_options ['current_color_2']; ?><?php }else {?>#D77C61<?php ;}?>;
	text-decoration: none;
	color: <?php $pagination_styling_options = get_option( 'pagination_styling_option_name' ); ?><?php if($pagination_styling_options ['color_1']){?><?php echo $pagination_styling_options ['color_1']; ?><?php }else {?>#ffffff<?php ;}?>;
}
a.page-numbers:hover {

	background-color: <?php $pagination_styling_options = get_option( 'pagination_styling_option_name' ); ?><?php if($pagination_styling_options ['background_color_0']){?><?php echo $pagination_styling_options ['background_color_0']; ?><?php }else {?>#666666<?php ;}?>;
}
</style>           
<nav class="navigation pagination" aria-label="Posts">
		<h2 class="screen-reader-text">Posts navigation </h2>

		<div class="nav-links"><span aria-current="page" class="page-numbers current">1</span>
<a class="page-numbers" href="#">2</a>
<span class="page-numbers dots">&hellip;</span>
<a class="page-numbers" href="#">5</a>
<a class="next page-numbers" href="#">&gt;</a></div>
	</nav>            
            
            
			<?php settings_errors(); ?>

			<form method="post" action="options.php">
				<?php
					settings_fields( 'pagination_styling_option_group' );
					do_settings_sections( 'pagination-styling-admin' );
					submit_button();
				?>
			</form>
 <h1>See more free stuff - tigaman webdesign</h1>
          
<style type="text/css">
@import url('https://fonts.googleapis.com/css2?family=Roboto:wght@100;300;500&display=swap');
.wrap {
	box-shadow: 0 0 5px rgba(0,0,0,.3);
	padding: 30px;
	font-family: 'Roboto', sans-serif;
	background: url("data:image/svg+xml;charset=utf8,%3C?xml version='1.0' encoding='UTF-8' standalone='no'?%3E%3C!DOCTYPE svg PUBLIC '-//W3C//DTD SVG 1.1//EN' 'http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd'%3E%3Csvg version='1.1' id='Layer_1' xmlns='http://www.w3.org/2000/svg' xmlns:xlink='http://www.w3.org/1999/xlink' x='0px' y='0px' width='250px' height='75px' viewBox='0 0 250 75' enable-background='new 0 0 250 75' xml:space='preserve'%3E%3Cimage id='image0' width='250' height='75' x='0' y='0' href='data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAPoAAABLCAQAAADzc1JmAAAABGdBTUEAALGPC/xhBQAAACBjSFJN AAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAAmJLR0QA/4ePzL8AAAAJcEhZ cwAACxIAAAsSAdLdfvwAAAAHdElNRQfmCBwXGSyWx4HXAAADzXpUWHRSYXcgcHJvZmlsZSB0eXBl IHhtcAAAeJztnU1yozAQhfc6RY4gd+sHHwcb2E3VLOf481pkbAfjxDGZqkdVhwpgIbX66x82b0H4 8+t3eHt7O0gXJehZp9rVWA5Fy6nkmiQWKbnUciyjDiLjdDqdJhGMH0uykVw1p0FjGmpMirldOYbU 1b5iYdbapzGngisMqmKRiE46xl7PtdO+dgULy2CblYNE+13OZaxqz4LtAG9SmcwP7ecHl+nNk6sZ jJ1sRbqskJi7NOQYxJybahvSLKOqDPAn6kGxq4IXYwdNmu0eY2eMSnsuMuE6n0uQoU3r28QeU6rE xSGGN98DUuALZmZJKZUrYGiE80OD7GrCEbUH1FTbn4wVk2Rsflfsf9CjHRd/BOchzEZkqFqRJYtL 7QCHSNnzqy9Lj+AOkofUSDla7AJSOpURLr5PQOAFeyPU5iEi3d+hvh+LrFku7qGaR+M1m7hHSsoA 3A4+RwNEEqJldfY6LPexmmnG+2RuZyxLFp1sJqdy1vE29YA42qxaQwvhCftHyzCSHaXLraptOmKt ctRz8+RT82EtBqte5ZTmq46tjlqucK3tfAg5YQjhwr/VUVTN/QMPbkzdbx8+7D/AzQSsUo+f7C+a LttH7Voxw6OP+6+aWtaSTPfVFOZymqvp+fK7r77wSvlhsS5rL8DNCENSztdusok4ZyzM9kKx1kEZ zEV4uBbhItiG0PboS2mmBouNjnAfd3hTZtsMdVUtOmszF5W9HsT1GN7OnV8oYX6VWt6WL9O1anl8 3PXaq8f/MvQdGHq012H40D6yMHi0wdBnidkd2vNVtgO0V1uGEu1n+p8D7ZaFw6MNhh4nZodoz1bZ LtBeaxlStJ/ofxa0KwuLRxsMPUrMLtGeq7KdoL3SMrRo2/ufB+0fC49HGwytJ2anaM9U2W7Qvt8y xGhb+58JbWZh8miDobXE7Bbt6yrbEdp3W4YabVv/c6GtKjV7RVsVWPaK9lWV7Qrtey1Djral/9nQ Ys/m0QZDq4rfXtE+r7KdobmYyYrmYiYpmouZrGguZpKiuZjJiuZiJiuai5mkaC5msqK5mEmK5mIm K5qLmaxoLmaSormYyYrmYiYpmouZrGguZrKiuZhJiuZiJiuai5msaC5mkqK5mMmK5mImKZqLmaxo LmayormYSYrmYiYrmouZpGguZrKiuZjJiuZiJimai5msaC5mkqK5mMmK5mImK5qLmaRoLmayormY yYrmYiYpmouZrGguZpKiuZjJiuZi5j/pcPUDKtk+MmGfJKh1/vZJ+AtO+opWFFIRmgAABx1JREFU eNrtnDFoKmsWgL99WFhYWAhrYSG8FBYXVriBDdzAtUiRhcBaCM8HFi64kCKFxS0sLFzIgxSBTZHC IsuzCKwLeZDCwiKFRQoLC4sscUFIHi9glpvFgAEvzIWzReaamWRi9CbjJDfnq3TmOOfMP/9//vOf /4ygKIqiKIqiKIqiKIqiKIqiKIqifMPEOKFH0GszlNkRoYdg6EN/TdQQhAOvzVBmRwpBEFJeG6JA jpUZaPHRRRC6+Ly+YSWE0JqBnqw5zvNe37ACSYR117V8Gec9/F7fsAJbCPOua8noOH9ONDmbgZaW jvPngx+DsutaFsxxvub17SoACYRl17VUNG53l+kadoFPNJ5I8xyfHKeKID8AsM8yIXxEgAAhi8Q5 Lfb57EFrfSP8birpGr4nG+k13vMfzrgEggQ5JYiPz/yBKNDhFz4Dl1xafhPBT5QYb/mJotdN91ro P+E8GyJBgkWiRGzHDxEM3oz9bY6E103xWphDiLmsI4IgbHh9q8oXMjNYrhUROrpUc5fvxpyL2sIn mJ/BjtcKV6T5BEBQH/4sCbBG606WvUXWdb0GW6Nvv7EzxW9DJLSTjJhnhwpl8ixMIh5iiz6CcETG ctzHkDmXTU0hLI2+TbOXXmCIsPsI3eHR8nXB9cjFfcpmgksQzsiPGw4+8vQRBpTvZNjjXMzA1IHF vMqEniVADaFI5hEWpkcbSXsIBmHX79VdgiRIkGadOkOEo/sGbIQmwkeKjgVKOWqum9qZSsccJfao 0ja3ZhIMHeXibFJhnSibNO5Z7HUQMkDeHB2LD+j2k6PCDiskqFNxlJln51ZU5A0BVuly5JSIi9HD YOPeirRtNl02LmTbV1uhM9bNFjAsLmyPMGlOHeTWbXJiiRluiCP08BFlwD6C3Mod3G2rju2a4thq VbPzLNOi/cAV3SZA427xS4geJ2M3TRusumxYErE4oQ4yJghZRxCqXCG06CEUKdC8R+43M58vCDmH q5UQdoA6TTIIg7F2XhdsCnscj2ZNJ/oM8ZPHwEBmsFE1no27k+UOxw/MY10+3DqyauvrfU455ZCG KTf+rLNZ3dHnNwjte+SS7CIYpKkiHBEgyCphqqNALs4HdmlQRxCOiXOMcMkFcifXF2ODE4RlVhDi rJurliBpS1D5BT/b5qPOk0cY8Ik+e3ek0uwh1E2ZBE0+OrjX1Xszi0/dtiF6N0PoiyEpFjgf+9Cz d863+BtXDsFTa4KzTsSpjz4vgkPs7iNJgbcA/MQCP3DOCldAGYhRAVYo8ZZ/c4Gfd8AFP/JPYvxC mgA9y0ZNhBQp3nFFgM80afEv2uSBNkv8TAT4kapFf4A670zt8Heu+BOHbBC1WJggzZ8J8T8gMpIp 8zPLtoglwg7v+es9bfG0bRtin19v+8HoTOreHuLCMuuUkFvuKMoGZ3ykTM4MN4WBZUIKIKSp0SNv hk9BDIQixwg1s3uvckiOHFu0uWCfAgvMIzTJYjAHNBAaGBis0uLIZsExfY4QOhQRDDPcC9FknSwf 2OeCNtukCbOJIBgkAfBzYtufzPKRqutL4GsWOWHgFB+d2dbkXhDCIDD6toaMYgg/KWr02SWJj+ui yYGlQa9ZQuhTtlwjjmDQQzi0HL1ezCQsk1kGocyJmQrqmA8rxXWUETelUvSpEWEf4WwkcaMrQYK4 ZcG5hyAULE0/YBM/AVIcsj+6rruE2UHoOa9GsgiHZO6N3eddL2lYsLmfMH0aJMhR4ZBNliz605bH ckMJ41aoGWRovi4RGKeYEkKbodkN2rbqvDo1oixxQNv0QxsIwuDBevzGnWRRjG0aVFmbUSQ/xxZD hMb9+nL0EQza7FKiRNpyLo6w7bKJmVuLqQh5CiQdwssAu9Rv9d0YfQcL0zQoPthdK7alXI5TS0Dk p0CFbUsVQZDqROO0SO2BzuYe177xus4wO140TIlTS/LuhixCx2VDC46LqckIc4LYnP00lBEGLz4H d0OSAYJwOj79amWOJFmytok/wsGY5cDTsDXZ1oADPg4wHvGiYxZx/e5mSZpL9lh5CTWGla+e6YoM OHBIzEzOy99geaHsf+Xv4hgUOKfk9Q28HL57/CU8xUeZX2nxe0tiR3mA5+P3Lwl9xdZohj/yF5b4 76Pcu+IRm19R4eqnRxcf3alqbF49z8e9t2yZgclYJcw2b/h+Bnv9igsEuJjyXyd8dOnjZ8tWb6O8 KHKIZXP1YZJmHu3sUbVxiscsT5WVqyPEWHpELk55YYQxaAJV+urcXwt5hDVCDD0vRFJmxgFChA9j K+mUb4oAQ5pA11bbokzE81mnT8cifg5I8r0699fDOsISDQb6z7HT81JH+hvAz3v+YfunCuWbpsU5 rRm8Uqk8I67Lutx+0Up5VtQQjj0rPFQ8IUz2WbwRqiiKoiiKoiiKoiiKoiiKoii3+T/j/qjtmGlT CAAAABZ0RVh0Q3JlYXRpb24gVGltZQAwNy8wMi8yMq1LEssAAAAldEVYdGRhdGU6Y3JlYXRlADIw MjItMDgtMjhUMjM6MjU6NDQrMDA6MDAepk1wAAAAJXRFWHRkYXRlOm1vZGlmeQAyMDIyLTA4LTI4 VDIzOjI1OjQ0KzAwOjAwb/v1zAAAACh0RVh0ZGF0ZTp0aW1lc3RhbXAAMjAyMi0wOC0yOFQyMzoy NTo0NCswMDowMDju1BMAAAATdEVYdGRjOmZvcm1hdABpbWFnZS9wbmf/uRs+AAAAHHRFWHRTb2Z0 d2FyZQBBZG9iZSBGaXJld29ya3MgQ1M26LyyjAAAACN0RVh0eG1wOkNyZWF0ZURhdGUAMjAyMi0w Ny0wMVQyMzozNjowM1q4jYmUAAAALXRFWHR4bXA6Q3JlYXRvclRvb2wAQWRvYmUgRmlyZXdvcmtz IENTNiAoV2luZG93cykoY/PJAAAAI3RFWHR4bXA6TW9kaWZ5RGF0ZQAyMDIyLTA3LTI0VDIzOjA4 OjUxWsSF4qsAAAAASUVORK5CYII='/%3E%3C/svg%3E"),repeating-radial-gradient(circle, transparent, transparent 11.2px, rgba(0, 0, 0, 0.008) 11.2px, rgba(0, 0, 0, 0.008) 14.4px), repeating-radial-gradient(circle, transparent, transparent 11.2px, rgba(0, 0, 0, 0.008) 11.2px, rgba(0, 0, 0, 0.008) 14.4px), rgba(255,255,255,1);
	background-position: right 15px top 10px, 0 0;
	background-repeat: no-repeat, repeat;
	background-size: auto,  1640px 640px;
}
h1 {	font-weight: 200;}
h2 {	font-weight: 300;}
 #tigamandotcom {width: 100%;height:500px;overflow-x: hidden;}
 #footer-thankyou, #footer-upgrade{display:none;}
table {
	width: 100%;
	max-width: 100%;
	margin: 20px 0;

}
tr {
	border-bottom:1px dotted  rgba(0,0,0,.2);	
	box-shadow: 0 5px 5px -5px rgba(0,0,0,.2);	
}
th {font-weight: 300;	letter-spacing: 1.5px;	
	text-transform: capitalize;}
table input {
	width: calc(100% - 20px);
	padding: 10px;
	margin: 0 0px;	font-weight: 400;
}


 </style>       
            <embed id="tigamandotcom" type="text/html" src="https://www.tigaman.com/">  <div style="clear: both; width: 100%; height: 1px;"></div>  

		</div>
	<?php }

	public function pagination_styling_page_init() {
		register_setting(
			'pagination_styling_option_group', // option_group
			'pagination_styling_option_name', // option_name
			array( $this, 'pagination_styling_sanitize' ) // sanitize_callback
		);

		add_settings_section(
			'pagination_styling_setting_section', // id
			'Settings', // title
			array( $this, 'pagination_styling_section_info' ), // callback
			'pagination-styling-admin' // page
		);

		add_settings_field(
			'background_color_0', // id
			'Current color', // title
			array( $this, 'background_color_0_callback' ), // callback
			'pagination-styling-admin', // page
			'pagination_styling_setting_section' // section
		);

		add_settings_field(
			'color_1', // id
			'Color', // title
			array( $this, 'color_1_callback' ), // callback
			'pagination-styling-admin', // page
			'pagination_styling_setting_section' // section
		);

		add_settings_field(
			'current_color_2', // id
			'Background color', // title
			array( $this, 'current_color_2_callback' ), // callback
			'pagination-styling-admin', // page
			'pagination_styling_setting_section' // section
		);
	}

	public function pagination_styling_sanitize($input) {
		$sanitary_values = array();
		if ( isset( $input['background_color_0'] ) ) {
			$sanitary_values['background_color_0'] = sanitize_text_field( $input['background_color_0'] );
		}

		if ( isset( $input['color_1'] ) ) {
			$sanitary_values['color_1'] = sanitize_text_field( $input['color_1'] );
		}

		if ( isset( $input['current_color_2'] ) ) {
			$sanitary_values['current_color_2'] = sanitize_text_field( $input['current_color_2'] );
		}

		return $sanitary_values;
	}

	public function pagination_styling_section_info() {
		
	}

	public function background_color_0_callback() {
		printf(
			'<input class="regular-text" type="text" name="pagination_styling_option_name[background_color_0]" id="background_color_0" value="%s">',
			isset( $this->pagination_styling_options['background_color_0'] ) ? esc_attr( $this->pagination_styling_options['background_color_0']) : ''
		);
	}

	public function color_1_callback() {
		printf(
			'<input class="regular-text" type="text" name="pagination_styling_option_name[color_1]" id="color_1" value="%s">',
			isset( $this->pagination_styling_options['color_1'] ) ? esc_attr( $this->pagination_styling_options['color_1']) : ''
		);
	}

	public function current_color_2_callback() {
		printf(
			'<input class="regular-text" type="text" name="pagination_styling_option_name[current_color_2]" id="current_color_2" value="%s">',
			isset( $this->pagination_styling_options['current_color_2'] ) ? esc_attr( $this->pagination_styling_options['current_color_2']) : ''
		);
	}

}
if ( is_admin() )
	$pagination_styling = new PaginationStyling();

/* 
 * Retrieve this value with:
 * $pagination_styling_options = get_option( 'pagination_styling_option_name' ); // Array of All Options
 * $background_color_0 = $pagination_styling_options['background_color_0']; // Background color
 * $color_1 = $pagination_styling_options['color_1']; // Color
 * $current_color_2 = $pagination_styling_options['current_color_2']; // Current color
 */
                
?>